python-pyclipper
Port variant py310
Summary Cython wrapper for the AJ Clipper library (3.10)
Package version 1.3.0.post2
Homepage https://github.com/greginvm/pyclipper
Keywords python
Maintainer Python Automaton
License Not yet specified
Other variants py39
Ravenports Buildsheet | History
Ravensource Port Directory | History
Last modified 04 DEC 2021, 16:58:49 UTC
Port created 08 AUG 2020, 00:24:11 UTC
Subpackage Descriptions
single About ===== Pyclipper is a Cython wrapper exposing public functions and classes of the C++ translation of the `Angus Johnson's Clipper library (ver. 6.4.2) `__. Pyclipper releases were tested with Python 2.7 and 3.4 on Linux (Ubuntu 14.04, x64) and Windows (8.1, x64). Source code is available on [GitHub]. The package is published on [PyPI]. About Clipper ------------- Clipper - an open source freeware library for clipping and offsetting lines and polygons. The Clipper library performs line & polygon clipping - intersection, union, difference & exclusive-or, and line & polygon offsetting. The library is based on Vatti's clipping algorithm. \ [Angus Johnson's Clipper library]\ Install ======= Dependencies ------------ Cython dependency is optional. Cpp sources generated with Cython are available in releases. Note on using the ``setup.py``: ``setup.py operates in 2 modes that are based on the presence of the dev`` file in the root of the project. - When dev is **present**, Cython will be used to compile the ``.pyx`` sources. This is the *development mode* (as you get it in the git repository). - When dev is **absent**, C/C++ compiler will be used to compile the ``.cpp`` sources (that were prepared in in the development mode). This is the distribution mode (as you get it on PyPI). This way the package can be used without or with an incompatible version of Cython. The idea comes from [Matt Shannon's bandmat library]. From PyPI --------- Cython not required. :: pip install pyclipper From source ----------- Cython required. Clone the repository: :: git clone git@github.com:fonttools/pyclipper.git Install: :: python setup.py install After every modification of ``.pyx`` files compile with Cython: :: python setup.py build_ext --inplace Clippers' preprocessor directives --------------------------------- Clipper can be compiled with the following preprocessor directives: use_int32, use_xyz, use_lines and use_deprecated. Among these the use_int32 and use_lines can be used with Pyclipper. - use_int32 - when enabled 32bit ints are used instead of 64bit ints. This improve performance but coordinate values are limited to the range +/- 46340. In Pyclipper this directive is **disabled** by default.
Configuration Switches (platform-specific settings discarded)
PY310 ON Build using Python 3.10 PY39 OFF Build using Python 3.9
Package Dependencies by Type
Build (only) python-setuptools:single:py310
autoselect-python:single:standard
Build and Runtime python-Cython:single:py310
python-setuptools-scm:single:py310
python310:single:standard
Download groups
main mirror://PYPI/p/pyclipper
Distribution File Information
c096703dc32f2e4700a1f7054e8b58c29fe86212fa7a2c2adecb0102cb639fb2 132899 pyclipper-1.3.0.post2.tar.gz
Ports that require python-pyclipper:py310
python-booleanOperations:py310 Boolean operations on paths (3.10)